/*
 File: not_lr1_2sym.cpp
 Date and Time: Mon Oct 13 18:18:15 2014 
*/
#include "not_lr1_2.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_not_lr1_2;// grammar's ns
// first set terminals
// monolithic grammar --- no thread
void 
Cnot_lr1_2::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rnot_lr1_2_:{
       Rnot_lr1_2* sym;
     if(re->rule_ == 0){
       sym = new Rnot_lr1_2(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rnot_lr1_2*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     return;}
    case rhs1_RS0_:{
       RS0* sym;
     if(re->rule_ == 0){
       sym = new RS0(parser__);
       re->rule_ = sym;
     }else{
       sym = (RS0*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs2_RS0_:{
       RS0* sym;
     if(re->rule_ == 0){
       sym = new RS0(parser__);
       re->rule_ = sym;
     }else{
       sym = (RS0*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_RS1_:{
       RS1* sym;
     if(re->rule_ == 0){
       sym = new RS1(parser__);
       re->rule_ = sym;
     }else{
       sym = (RS1*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    case rhs1_RS2_:{
       RS2* sym;
     if(re->rule_ == 0){
       sym = new RS2(parser__);
       re->rule_ = sym;
     }else{
       sym = (RS2*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 1;
    

     return;}
    default: return;
   }
}
